package jsr.daemon;

/**
 * interface for supplying listener functionality to be bound to a daemon
 *
 * @author   Thomas Kopp
 * @version  0.9, 2000-11-16
 */
public interface DaemonListener {

    /**
     * method called by a daemon if activity state changes
     * @param daemon the daemon changing its activity state
     * @param active flag indicating the target activity state
     * @param throwable a throwable for indicating a possible exception
     */
    public void active(Daemon daemon, boolean active, Throwable throwable);
}

