package jsr.daemon.logging.jni;

import jsr.daemon.logging.*;

/**
 * adapter class for docking a native logger if applicable
 *
 * Native daemon containers might use this class for implementing a logging interface.
 *
 * Note: ".jni" named sub-packages are not considered to be part of the Java daemon api.
 *       They are supplied as native implementation helpers, only.
 *
 * @author   Thomas Kopp
 * @version  0.9, 2000-11-16
 */
public class NativeLogger implements Logging {

    /**
     * method to be implemented via jni for logging output
     * @param message the message to be logged via an underlying logging resource
     */
    public native void log(String message);
}
