package jsr.daemon.pausable;

import jsr.daemon.*;

/**
 * interface for supplying listener functionality to be bound to a pausable daemon
 *
 * @author   Thomas Kopp
 * @version  0.9, 2000-11-16
 */
public interface PausableListener extends DaemonListener {

    /**
     * method called by a pausable daemon if pause state changes
     * @param pausable the pausable daemon changing its pause state
     * @param paused flag indicating the target pause state
     * @param throwable a throwable for indicating a possible exception
     */
    public void paused(Pausable pausable, boolean paused, Throwable throwable);
}

